# Lapack::pseudoInverse

(PECL lapack >= 0.1.0)

Lapack::pseudoInverse — Calculate the inverse of a matrix

### Description

public static Lapack::pseudoInverse ( array `$a` ) : array

Find the pseudoinverse of a matrix A.

### Parameters

`a`

  Matrix to invert

### Return Values

Inverted matrix (array of arrays).

### Examples

Example #1 Using Lapack::pseudoInverse():

`<?php
$a = array(
array( 8, 1, 6 ),
array( 3, 5, 7 ),
array( 4, 9, 2 ),
);
$result = Lapack::pseudoInverse($a);
?>`